UpfrontConduitSelector (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.endpoint, class: UpfrontConduitSelector

Package org.apache.cxf.endpoint

# Class UpfrontConduitSelector

java.lang.Object
org.apache.cxf.endpoint.AbstractConduitSelector
org.apache.cxf.endpoint.UpfrontConduitSelector

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ConduitSelector`

public class UpfrontConduitSelector extends AbstractConduitSelector
Strategy for eager upfront retreival of a Conduit to mediate an outbound message.

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.endpoint.AbstractConduitSelector

  `CONDUIT_COMPARE_FULL_URL, conduits, endpoint, KEEP_CONDUIT_ALIVE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpfrontConduitSelector()`
  Normal constructor.
  `UpfrontConduitSelector(Conduit c)`
  Constructor, allowing a specific conduit to override normal selection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Logger`
  `getLogger()`
  `void`
  `prepare(Message message)`
  Called prior to the interceptor chain being traversed.
  `Conduit`
  `selectConduit(Message message)`
  Called when a Conduit is actually required.

  ### Methods inherited from class org.apache.cxf.endpoint.AbstractConduitSelector

  `close, complete, createConduit, findCompatibleConduit, getEndpoint, getSelectedConduit, removeConduit, replaceEndpointAddressPropertyIfNeeded, setEndpoint`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpfrontConduitSelector

    public UpfrontConduitSelector()
    Normal constructor.

  - ### UpfrontConduitSelector

    public UpfrontConduitSelector(Conduit c)
    Constructor, allowing a specific conduit to override normal selection.
    Parameters:
      `c` - specific conduit

- ## Method Details

  - ### prepare

    public void prepare(Message message)
    Called prior to the interceptor chain being traversed.
    Parameters:
      `message` - the current Message

  - ### selectConduit

    public Conduit selectConduit(Message message)
    Called when a Conduit is actually required.
    Parameters:
      `message` -
    Returns:
      the Conduit to use for mediation of the message

  - ### getLogger

    protected Logger getLogger()
    Specified by:
      `getLogger` in class `AbstractConduitSelector`
    Returns:
      the logger to use